%global dlrn_nvr networking-ovn-7.3.1.dev7-1.20221013173226.4e24f4c
%global dlrn 1
%define upstream_version 7.3.1.dev7
# Macros for py2/py3 compatibility
%if 0%{?fedora} || 0%{?rhel} > 7
%global pyver %{python3_pkgversion}
%else
%global pyver 2
%endif
%global pyver_bin python%{pyver}
%global pyver_sitelib %{expand:%{python%{pyver}_sitelib}}
%global pyver_install %{expand:%{py%{pyver}_install}}
%global pyver_build %{expand:%{py%{pyver}_build}}
# End of macros for py2/py3 compatibility
%global drv_vendor OVN
%global pkgname networking-ovn
%global srcname networking_ovn
%global docpath doc/build/html

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_doc 0

Name:           python-%{pkgname}
Version: 7.3.1
Release: 1.20221013173227.4e24f4c%{?dist}
Summary:        %{drv_vendor} OpenStack Neutron driver

License:        ASL 2.0
URL:            https://pypi.python.org/pypi/%{pkgname}
Source0: networking-ovn-7.3.1.dev7-1.20221013173226.4e24f4c.tar.gz
#
# patches_ignore=DROP-IN-RPM
# patches_base=4e24f4c5ea066d139579f718f2a9ac8f14ef1e7c
Patch0001: 0001-ovn-migration-Fix-neutron-server-container-name.patch
Patch0002: 0002-update_port-should-not-remove-values-from-external_i.patch
Patch0003: 0003-Fix-the-check-for-allowed_cidrs-in-listeners.patch
Patch0004: 0004-Add-support-for-vlan-transparency-in-the-OVN-driver.patch
Patch0005: 0005-Fix-broken-unit-tests-related-to-ovsdbapp-indexing.patch
Patch0006: 0006-Fix-test_add_interface_in_use-negative-test.patch
Patch0007: 0007-Change-reference-to-OvnDbNotifyHandler._watched_even.patch
Patch0008: 0008-Fix-typo-in-TestOvnDbNotifyHandler.patch
Patch0009: 0009-Implement-floating-IP-QoS-in-OVN-backend.patch
Patch0010: 0010-Ensure-ovsdb_probe_interval-set-before-connect.patch
Patch0011: 0011-Ensure-metadata-checksum.patch
Patch0012: 0012-Fix-inconsistent-IGMP-configuration.patch
Patch0013: 0013-Fix-get-update-delete-of-non-OVN-agents.patch
Patch0014: 0014-ovn-Support-live-migration-to-DPDK-nodes.patch
Patch0015: 0015-Remove-upstream-constraints-from-tox-downstream-only.patch
Patch0016: 0016-Metadata-agent-fix-checking-datapath-type.patch
Patch0017: 0017-qos-fip-extension-in-ML2_SUPPORTED_API_EXTENSIONS_OV.patch
Patch0018: 0018-Change-how-ovn-mech-driver-checks-if-vlan-transparen.patch
Patch0019: 0019-QoS-for-distributed-floating-IP.patch
Patch0020: 0020-ovn-metadata-agent-Retry-registering-Chassis-at-star.patch
Patch0021: 0021-add_fake_chassis-may-need-to-create-a-Chassis_Privat.patch
Patch0022: 0022-Remove-OVN-QoS-rule-when-FIP-is-dissasociated.patch
Patch0023: 0023-Retrieve-the-bound-FIP-in-QoS-extension.patch
Patch0024: 0024-Revert-migration-Restart-OVS-after-setting-protocols.patch
Patch0025: 0025-Fix-functional-tests.patch
Patch0026: 0026-Retrieve-port-network-QoS-policy-from-network-dictio.patch
Patch0027: 0027-Disable-dns-integration-API-extension-if-it-s-not-en.patch
Patch0028: 0028-Set-send_periodic-to-False-on-provider-networks.patch
Patch0029: 0029-External-ports-SR-IOV-QoS-is-handled-by-SR-IOV-agent.patch
Patch0030: 0030-Set-mcast_flood_reports-on-LSPs.patch
Patch0031: 0031-Bump-importlib-metadata-to-3.10.0.patch
Patch0032: 0032-Make-delete_router_port-less-error-prone.patch
Patch0033: 0033-Switch-to-new-engine-facade-in-OVN-trunk-driver-modu.patch
Patch0034: 0034-Remove-unwanted-IP-addresses-from-OVN-ports.patch
Patch0035: 0035-Fix-FDB-table-not-registered-in-OvnSbIdl.patch
Patch0036: 0036-Only-account-for-bound-ports-in-metadata-agent.patch
Patch0037: 0037-Avoid-race-condition-when-processing-RowEvents.patch
Patch0038: 0038-Don-t-ever-give-up-trying-to-connect-to-OVN-DBs.patch
Patch0039: 0039-Rate-limit-of-metadata-requests.patch
Patch0040: 0040-Simplify-OVN-Agent-API-implementation.patch
Patch0041: 0041-Check-for-lock-in-check_for_mcast_flood_reports.patch
Patch0042: 0042-OVN-Fix-Disabling-snat-after-it-was-enabled.patch
Patch0043: 0043-Retry-status-updates-to-Octavia.patch
Patch0044: 0044-Set-trunk-sub-port-when-bind-profile-is-created.patch
Patch0045: 0045-Fix-metadata-driver-unit-test-failure.patch
Patch0046: 0046-Fix-leaked-file-descriptors-by-cleaning-up-objects.patch
Patch0047: 0047-Catch-subnet-not-found-exceptions-better.patch
Patch0048: 0048-Check-if-no-members-in-pool-better-in-batch-update.patch
Patch0049: 0049-Ensure-that-load-balancer-is-added-to-logical-switch.patch
Patch0050: 0050-OVN-Disable-mcast_flood-on-localnet-ports.patch
Patch0051: 0051-ovn-migration-UNDERCLOUD_NODE_USER-variable.patch
Patch0052: 0052-ovn-Don-t-use-dict.remove-for-filtering-dhcp-ports-i.patch
Patch0053: 0053-ovn-migration-Use-DHCP-nodes-to-configure-dnsmasq.patch
Patch0054: 0054-ovn-migration-Introduce-migrate-mode-to-DB-sync-tool.patch
Patch0055: 0055-Fix-db_migration-UTs.patch
Patch0056: 0056-ovn-metadata-Remove-metadata-readiness-mechanism.patch
Patch0057: 0057-ovn-Make-ovn-metadata-agent-report-optional.patch
Patch0058: 0058-Add-support-for-deleting-ml2-ovn-agents.patch
Patch0059: 0059-Convert-OvnDbNotifyHandler-rows-to-frozen-rows.patch
Patch0060: 0060-Don-t-update-AgentCache-when-Chassis_Private.chassis.patch
Patch0061: 0061-Reset-AgentCache-singleton-in-functional-tests.patch
Patch0062: 0062-OVN-Simplify-connection-creation-logic.patch
Patch0063: 0063-Rely-on-worker-count-for-HashRing-caching.patch
Patch0064: 0064-ovn-Consider-all-router-ports-in-is_lsp_router_port.patch
Patch0065: 0065-Sync-db_migration-with-upstream.patch
Patch0066: 0066-ovn-Don-t-fail-db-sync-if-port-binding-changes.patch
Patch0067: 0067-Fix-db-migration-UTs.patch
Patch0068: 0068-Fix-Make-ovn-metadata-agent-report-optional.patch
Patch0069: 0069-Fix-functional-test-failure-after-cd69723.patch
Patch0070: 0070-Replace-cirros-0.4.0-by-0.5.2-in-ovn-migration-creat.patch
Patch0071: 0071-Execute-migrate_neutron_database_to_ovn-inside-the-s.patch
Patch0072: 0072-OVN-Update-the-DHCP-options-when-the-metadata-port-i.patch
Patch0073: 0073-Fix-OVN-migration-workload-creation-order.patch
Patch0074: 0074-OVN-Execute-OVN-migration-transactions-independently.patch
Patch0075: 0075-OVN-Migration-Remove-trunk-s-subports-from-the-nodes.patch
Patch0076: 0076-OVN-Migration-Remove-qr-and-dhcp-ports-from-the-node.patch
Patch0077: 0077-Fix-_sync_metadata_ports-with-no-DHCP-subnets.patch
Patch0078: 0078-OVN-Set-NB-SB-connection-inactivity-probe.patch
Patch0079: 0079-OVN-Update-check_for_mcast_flood_reports-to-check-fo.patch
Patch0080: 0080-OVN-MetadataProxyHandler-to-conditionally-monitor-bo.patch
Patch0081: 0081-OVN-Allow-only-one-physical-network-per-bridge.patch
Patch0082: 0082-Always-update-router-static-route.patch
Patch0083: 0083-Set-listeners-back-to-ACTIVE-upon-pool-member-action.patch
Patch0084: 0084-Fix-neutron_pg_drop-related-startup-issues.patch
Patch0085: 0085-ovn-migration-Delete-FIP-agent-gateway-ports.patch
Patch0086: 0086-OVN-Prevent-deleting-the-only-IP-of-a-router-port.patch
Patch0087: 0087-OVN-Prevent-OVS-to-OVN-migration-if-firewall-iptable.patch
Patch0088: 0088-Define-statically-the-schema-helper-name-in-_set_ina.patch
Patch0089: 0089-Missing-bit-use-the-schema-name-when-creating-the-ID.patch
Patch0090: 0090-OVN-Check-if-exists-trunk-ports-before-cleanup.patch
Patch0091: 0091-ovn-Prevent-stale-ports-in-the-OVN-database.patch
Patch0092: 0092-Use-Port_Binding-up-column-to-set-Neutron-port-statu.patch
Patch0093: 0093-Support-creating-members-without-a-subnet-ID.patch
Patch0094: 0094-Fix-race-condition-retrieving-logical-router-rows.patch
Patch0095: 0095-Add-support-for-fullypopulated-load-balancers.patch
Patch0096: 0096-Use-TCP-keepalives-for-ovsdb-connections.patch
Patch0097: 0097-Check-gateway-IP-while-looking-for-LR-plugged-to-LS.patch
Patch0098: 0098-Allow-to-create-ovn-loadbalancer-on-dual-stack-provi.patch
Patch0099: 0099-Return-UnsupportedOptionError-on-loadbalancer-failov.patch
Patch0100: 0100-Avoid-race-when-trying-to-find-a-recently-created-lo.patch
Patch0101: 0101-Check-subnet-in-_remove_subnet_dhcp_options.patch
Patch0102: 0102-Ensure-no-GARPs-are-sent-for-Load-Balancer-VIPs-on-t.patch
Patch0103: 0103-ovn-Use-normalized-remote-prefix-IPs-in-OVN-driver.patch
Patch0104: 0104-OVN-Do-not-fail-when-processing-SG-rule-deletion.patch
Patch0105: 0105-OVN-Migration-Reload-systemctl-daemon-after-removal.patch
Patch0106: 0106-Retry-logical-switch-associations-to-load-balancers.patch
Patch0107: 0107-Fix-deletion-of-members-without-subnet_id.patch
Patch0108: 0108-ovn-migration-Don-t-use-executables-in-tmp.patch
Patch0109: 0109-Avoid-loadbalancer-stuck-in-PENDING_X-if-delete_vip_.patch
Patch0110: 0110-OVN-migration-Clean-sg-and-fg-interfaces.patch
Patch0111: 0111-OVN-External-network-ports-SR-IOV-QoS-is-handled-by-.patch
Patch0112: 0112-Retry-port_update-in-the-OVN-if-revision-mismatch-du.patch
Patch0113: 0113-Do-not-announce-any-DNS-resolver-if-0.0.0.0-or-provi.patch
Patch0114: 0114-OVN-Correctly-set-dns_server-in-dhcpv4-v6-options.patch
Patch0115: 0115-OVN-Check-new-added-segments-in-OVN-mech-driver.patch
Patch0116: 0116-ovn-Retry-port-binding-on-deadlock-when-migrating-to.patch
Patch0117: 0117-Allow-ovn_db_sync-to-continue-on-duplicate-normalise.patch
Patch0118: 0118-ovn-Filter-ACL-columns-when-syncing-the-DB.patch
Patch0119: 0119-OVN-Add-baremetal-support-with-Neutron-DHCP-agent.patch
Patch0120: 0120-OVN-Keep-connectivity-VIF-details-parameter-in-migra.patch
Patch0121: 0121-ovn-migration-Support-migration-to-OVN-from-iptables.patch
Patch0122: 0122-Revert-Use-Port_Binding-up-column-to-set-Neutron-por.patch
Patch0123: 0123-_handle_lb_fip_cmds-to-handle-the-LB-members-correct.patch
Patch0124: 0124-OVN-Fix-port-disable-security-dead-when-run-neutron-.patch
Patch0125: 0125-migration-Fail-task-if-executed-script-failed.patch
Patch0126: 0126-Optimize-queries-for-port-operations.patch
Patch0127: 0127-Revert-Fix-member_batch_update-function-to-follow-ap.patch
Patch0128: 0128-Fix-Load-balancer-remains-on-PENDING_CREATE.patch
Patch0129: 0129-Delete-vip-port-if-create_vip_port-raise-exception.patch
Patch0130: 0130-Fix-IPv6-member-delete-on-batch-operation.patch
Patch0131: 0131-Add-wait-for-the-post-fork-event-to-nb-sb-objects.patch
Patch0132: 0132-Ensure-members-without-subnet-belong-to-VIP-subnet-o.patch
Patch0133: 0133-Fix-indentation-issue-in-wait_for_change-override.patch
Patch0134: 0134-Add-wait-event-for-metadataagent-sb_idl.patch
Patch0135: 0135-Revert-OVN-Set-NB-SB-connection-inactivity-probe.patch
Patch0136: 0136-OVN-Rate-limit-the-Disallow-caching-log-from-hash-ri.patch
Patch0137: 0137-ovn-Stop-monitoring-the-SB-MAC_Binding-table-to-redu.patch
Patch0138: 0138-Avoid-LB-ERROR-status-on-delete-when-LS-LR-are-alrea.patch
Patch0139: 0139-Work-around-octavia-neutron-config-collision.patch
Patch0140: 0140-ovn-Specify-port-type-if-it-s-a-router-port-when-upd.patch
Patch0141: 0141-Fix-gate-failure.patch
Patch0142: 0142-ovn-Don-t-fail-db-sync-if-new-IP-allocation-fails-fo.patch
Patch0143: 0143-ovn-migration-Remove-second-tripleo-update-call.patch
Patch0144: 0144-OVN-Fix-deadlock-in-neutron_ovn_db_sync_util.py.patch

Source1:        networking-ovn-metadata-agent.service
#

BuildArch:      noarch

%description
OVN provides virtual networking for Open vSwitch and is a component of the
Open vSwitch project.

%package -n     python%{pyver}-%{pkgname}
Summary:        %{drv_vendor} OpenStack Neutron driver
%{?python_provide:%python_provide python%{pyver}-%{pkgname}}

BuildRequires:  git
BuildRequires:  python%{pyver}-devel
BuildRequires:  python%{pyver}-debtcollector
BuildRequires:  python%{pyver}-mock
BuildRequires:  openstack-macros

# This is required to generate the networking-ovn.ini configuration file
BuildRequires:  python%{pyver}-neutron

BuildRequires:  python%{pyver}-oslo-config
BuildRequires:  python%{pyver}-oslo-log
BuildRequires:  python%{pyver}-ovsdbapp
BuildRequires:  python%{pyver}-pbr

%if 0%{?with_doc}
BuildRequires:  python%{pyver}-openstackdocstheme
BuildRequires:  python%{pyver}-sphinx
BuildRequires:  python%{pyver}-sphinxcontrib-rsvgconverter
%endif

# python-openvswitch is not included in openstack-neutron-common.
# Its needed by networking-ovn.
Requires:       openstack-neutron-common >= 1:13.0.0
Requires:       python%{pyver}-babel >= 2.3.4
Requires:       python%{pyver}-futurist >= 1.2.0
Requires:       python%{pyver}-netaddr >= 0.7.18
Requires:       python%{pyver}-neutron-lib >= 1.28.0
Requires:       python%{pyver}-oslo-config >= 2:5.2.0
Requires:       python%{pyver}-octavia-lib >= 1.3.1
Requires:       python%{pyver}-openvswitch >= 2.8.0
Requires:       python%{pyver}-pbr >= 2.0.0
Requires:       python%{pyver}-six >= 1.10.0
Requires:       python%{pyver}-tenacity >= 4.4.0
Requires:       python%{pyver}-ovsdbapp >= 0.17.0
Requires:       python%{pyver}-pyOpenSSL >= 17.1.0
Requires:       python%{pyver}-requests >= 2.14.2
Requires:       python%{pyver}-sqlalchemy >= 1.2.0
Requires:       python%{pyver}-tooz >= 1.58.0

%description -n     python%{pyver}-%{pkgname}
OVN provides virtual networking for Open vSwitch and is a component of the
Open vSwitch project.

This package contains %{drv_vendor} networking driver which provides
integration between OpenStack Neutron and OVN.


%package -n     python%{pyver}-%{pkgname}-metadata-agent
Summary:        networking-ovn metadata agent
%{?python_provide:%python_provide python%{pyver}-%{pkgname}-metadata-agent}

BuildRequires:  systemd
Requires:       python%{pyver}-%{pkgname} = %{version}-%{release}
Requires:       openvswitch >= 2.8.0
Requires:       haproxy >= 1.5.0
%if 0%{?rhel} && 0%{?rhel} < 8
%{?systemd_requires}
%else
%{?systemd_ordering} # does not exist on EL7
%endif

%description -n     python%{pyver}-%{pkgname}-metadata-agent
OVN provides virtual networking for Open vSwitch and is a component of the
Open vSwitch project.

This package contains the agent that implements the metadata proxy so that VM's
can retrieve metadata from OpenStack Nova.

%package -n     python%{pyver}-%{pkgname}-migration-tool
Summary:        networking-ovn ML2/OVS to OVN migration tool
%{?python_provide:%python_provide python%{pyver}-%{pkgname}-migration-tool}

Requires:       python%{pyver}-%{pkgname} = %{version}-%{release}

%description -n     python%{pyver}-%{pkgname}-migration-tool
This package provides the necessary tools to update an existing ML2/OVS
OpenStack to OVN based backend.

%prep
%autosetup -n %{pkgname}-%{upstream_version} -S git

# Let's handle dependencies ourselves
%py_req_cleanup

# Kill egg-info in order to generate new SOURCES.txt
rm -rf {srcname}.egg-info


%build
export SKIP_PIP_INSTALL=1
%{pyver_build}

%if 0%{?with_doc}
sphinx-build-%{pyver} -b html doc/source %{docpath}
rm -rf %{docpath}/.{doctrees,buildinfo}
%endif

# Generate config file
PYTHONPATH=. oslo-config-generator-%{pyver} --namespace networking_ovn --output-file networking-ovn.ini
PYTHONPATH=. oslo-config-generator-%{pyver} --namespace networking_ovn.metadata.agent --output-file networking-ovn-metadata-agent.ini


%install
%{pyver_install}

# Remove unused files
rm -rf %{buildroot}%{pyver_sitelib}/bin
rm -rf %{buildroot}%{pyver_sitelib}/doc
rm -rf %{buildroot}%{pyver_sitelib}/tools


# Move config file to proper location
install -d -m 755 %{buildroot}%{_sysconfdir}/neutron/plugins/networking-ovn
mv networking-ovn.ini %{buildroot}%{_sysconfdir}/neutron/plugins/networking-ovn
mv networking-ovn-metadata-agent.ini %{buildroot}%{_sysconfdir}/neutron/plugins/networking-ovn
chmod 640 %{buildroot}%{_sysconfdir}/neutron/plugins/*/*.ini

# Create configuration directories for all services that can be populated by users with custom *.conf files
mkdir -p %{buildroot}/%{_sysconfdir}/neutron/conf.d/networking-ovn-metadata-agent

# Install systemd units
install -p -D -m 644 %{SOURCE1} %{buildroot}%{_unitdir}/networking-ovn-metadata-agent.service

%post -n python%{pyver}-%{pkgname}-metadata-agent
%systemd_post networking-ovn-metadata-agent.service


%preun -n python%{pyver}-%{pkgname}-metadata-agent
%systemd_preun networking-ovn-metadata-agent.service


%postun -n python%{pyver}-%{pkgname}-metadata-agent
%systemd_postun_with_restart networking-ovn-metadata-agent.service

%files -n python%{pyver}-%{pkgname}
%license LICENSE
%if 0%{?with_doc}
%doc %{docpath}
%endif
%{pyver_sitelib}/%{srcname}
%{pyver_sitelib}/%{srcname}-*.egg-info
%{_bindir}/neutron-ovn-db-sync-util
%dir %{_sysconfdir}/neutron/plugins/networking-ovn
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/networking-ovn/networking-ovn.ini

%files -n python%{pyver}-%{pkgname}-metadata-agent
%license LICENSE
%{_bindir}/networking-ovn-metadata-agent
%{_unitdir}/networking-ovn-metadata-agent.service
%config(noreplace) %attr(0640, root, neutron) %{_sysconfdir}/neutron/plugins/networking-ovn/networking-ovn-metadata-agent.ini
%dir %{_sysconfdir}/neutron/conf.d/networking-ovn-metadata-agent

%files -n python%{pyver}-%{pkgname}-migration-tool
%license LICENSE
%{_bindir}/networking-ovn-migration-mtu
%{_bindir}/ovn_migration.sh
%{_datadir}/ansible/networking-ovn-migration/playbooks/

%changelog
* Thu Nov 10 2022 Lon Hohberger <lhh@redhat.com> 7.3.1-1.20221013173227.4e24f4c
- [OVN] Fix deadlock in neutron_ovn_db_sync_util.py (rhbz#2129882)

* Thu Oct 13 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221013173226.4e24f4c
- ovn-migration: Remove second tripleo-update call (rhbz#2129882)

* Mon Oct 10 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221011003657.4e24f4c
- ovn: Don't fail db sync if new IP allocation fails for metadata (rhbz#2119534)
- Fix gate failure

* Wed Oct 05 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221005203224.4e24f4c
- [ovn] Specify port type if it's a router port when updating (rhbz#1860448)

* Tue Oct 04 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221004133228.4e24f4c
- Work around octavia/neutron config collision (rhbz#2025957 rhbz#2131976)

* Tue Oct 04 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20221004083215.4e24f4c
- Avoid LB ERROR status on delete when LS/LR are already deleted (rhbz#2131712)

* Thu Sep 29 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220929093221.4e24f4c
- [ovn] Stop monitoring the SB MAC_Binding table to reduce mem footprint (rhbz#2126059)

* Thu Sep 29 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220929083221.4e24f4c
- [OVN] Rate limit the "Disallow caching" log from hash ring (rhbz#2125828)

* Wed Sep 28 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220928173741.4e24f4c
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Sep 26 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220926193640.4e24f4c
- Revert "[OVN] Set NB/SB "connection" inactivity probe" (rhbz#2125824)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Sep 26 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220926173655.4e24f4c
- Add wait event for metadataagent sb_idl (rhbz#2129925)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Sep 23 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220923173227.4e24f4c
- Fix indentation issue in wait_for_change override (rhbz#2129417)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Sep 22 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220922083226.4e24f4c
- Ensure members without subnet belong to VIP subnet or fail (rhbz#2122925)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Sep 13 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220913163231.4e24f4c
- Add wait for the post-fork event to nb/sb objects (rhbz#2119098)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Aug 11 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220811073716.4e24f4c
- Fix IPv6 member delete on batch operation (rhbz#2112252)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Aug 10 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220810153841.4e24f4c
- Delete vip port if create_vip_port raise exception (rhbz#2087196)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Aug 09 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220809133734.4e24f4c
- Fix Load balancer remains on PENDING_CREATE (rhbz#2088308)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Aug 08 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220808133333.4e24f4c
- Revert "Fix member_batch_update function to follow api v2" (rhbz#2100902)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Jul 26 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220726163753.4e24f4c
- Optimize queries for port operations (rhbz#2100090)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Jun 15 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220615163832.4e24f4c
- migration: Fail task if executed script failed (rhbz#1856969)
- [OVN] Fix port disable security dead when run neutron-ovn-db-sync-util (rhbz#2090502)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Jun 14 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220614153406.4e24f4c
- "_handle_lb_fip_cmds" to handle the LB members correctly (rhbz#2096893)
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon May 30 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220530153732.4e24f4c
- Revert "Use Port_Binding up column to set Neutron port status"
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed May 25 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220525113339.4e24f4c
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed May 25 2022 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20220525103743
- Merge "[ovn][migration] Support migration to OVN from iptables firewall" into rhos-16.1-trunk-patches
- Merge "[OVN] Keep "connectivity" VIF details parameter in migration" into rhos-16.1-trunk-patches
- Merge "[OVN] Add baremetal support with Neutron DHCP agent" into rhos-16.1-trunk-patches
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- Merge "ovn: Filter ACL columns when syncing the DB" into rhos-16.1-trunk-patches
- Merge "Allow ovn_db_sync to continue on duplicate normalised CIDR" into rhos-16.1-trunk-patches
- Merge "ovn: Retry port binding on deadlock when migrating to ovn" into rhos-16.1-trunk-patches
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- Merge "[OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent" into rhos-16.1-trunk-patches
- Merge "Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails" into rhos-16.1-trunk-patches
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Merge "Retry logical switch associations to load balancers" into rhos-16.1-trunk-patches
- Merge "[ OVN ][Migration] Reload systemctl daemon after removal" into rhos-16.1-trunk-patches
- Merge "[OVN] Do not fail when processing SG rule deletion" into rhos-16.1-trunk-patches
- Merge "[ovn] Use normalized remote prefix IPs in OVN driver" into rhos-16.1-trunk-patches
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Merge "Use TCP keepalives for ovsdb connections" into rhos-16.1-trunk-patches
- Merge "Support creating members without a subnet ID" into rhos-16.1-trunk-patches
- Merge "[ovn] Prevent stale ports in the OVN database" into rhos-16.1-trunk-patches
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- Merge "[OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid"" into rhos-16.1-trunk-patches
- Merge "[OVN] Prevent deleting the only IP of a router port" into rhos-16.1-trunk-patches
- Merge "ovn-migration: Delete FIP agent gateway ports" into rhos-16.1-trunk-patches
- Merge "Fix neutron_pg_drop-related startup issues" into rhos-16.1-trunk-patches
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- Merge "Always update router static route" into rhos-16.1-trunk-patches
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- Merge "Fix "_sync_metadata_ports" with no DHCP subnets" into rhos-16.1-trunk-patches
- Merge "[OVN Migration] Remove trunk's subports from the nodes" into rhos-16.1-trunk-patches
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- Merge "Fix functional test failure after cd69723" into rhos-16.1-trunk-patches
- Merge "ovn: Don't fail db-sync if port binding changes" into rhos-16.1-trunk-patches
- Merge "Sync db_migration with upstream" into rhos-16.1-trunk-patches
- Merge "ovn: Don't use dict.remove() for filtering dhcp ports in db-sync" into rhos-16.1-trunk-patches
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Merge "Ensure that load balancer is added to logical switch" into rhos-16.1-trunk-patches
- Merge "Check if no members in pool better in batch update" into rhos-16.1-trunk-patches
- Merge "Catch subnet not found exceptions better" into rhos-16.1-trunk-patches
- Merge "Fix leaked file descriptors by cleaning up objects" into rhos-16.1-trunk-patches
- Merge "Fix metadata driver unit test failure" into rhos-16.1-trunk-patches
- Merge "Retry status updates to Octavia" into rhos-16.1-trunk-patches

* Wed May 25 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220525103742.4e24f4c
- [ovn][migration] Support migration to OVN from iptables firewall (rhbz#2022040)
- [OVN] Keep "connectivity" VIF details parameter in migration
- [OVN] Add baremetal support with Neutron DHCP agent (rhbz#2033953)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu May 12 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220512093756.4e24f4c
- ovn: Filter ACL columns when syncing the DB (rhbz#2080224)
- Allow ovn_db_sync to continue on duplicate normalised CIDR (rhbz#2080224)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220506223820.4e24f4c
- ovn: Retry port binding on deadlock when migrating to ovn (rhbz#2054240)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri May 06 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220506153817.4e24f4c
- [OVN] Check new added segments in OVN mech driver (rhbz#2068069)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed May 04 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220504073408.4e24f4c
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed May 04 2022 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20220502142032
- [OVN] Correctly set dns_server in dhcpv4/v6 options (rhbz#2077776)
- Do not announce any DNS resolver if "0.0.0.0" or "::" provided (rhbz#2077776)
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- Merge "[OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent" into rhos-16.1-trunk-patches
- Merge "Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails" into rhos-16.1-trunk-patches
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Merge "Retry logical switch associations to load balancers" into rhos-16.1-trunk-patches
- Merge "[ OVN ][Migration] Reload systemctl daemon after removal" into rhos-16.1-trunk-patches
- Merge "[OVN] Do not fail when processing SG rule deletion" into rhos-16.1-trunk-patches
- Merge "[ovn] Use normalized remote prefix IPs in OVN driver" into rhos-16.1-trunk-patches
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Merge "Use TCP keepalives for ovsdb connections" into rhos-16.1-trunk-patches
- Merge "Support creating members without a subnet ID" into rhos-16.1-trunk-patches
- Merge "[ovn] Prevent stale ports in the OVN database" into rhos-16.1-trunk-patches
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- Merge "[OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid"" into rhos-16.1-trunk-patches
- Merge "[OVN] Prevent deleting the only IP of a router port" into rhos-16.1-trunk-patches
- Merge "ovn-migration: Delete FIP agent gateway ports" into rhos-16.1-trunk-patches
- Merge "Fix neutron_pg_drop-related startup issues" into rhos-16.1-trunk-patches
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- Merge "Always update router static route" into rhos-16.1-trunk-patches
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- Merge "Fix "_sync_metadata_ports" with no DHCP subnets" into rhos-16.1-trunk-patches
- Merge "[OVN Migration] Remove trunk's subports from the nodes" into rhos-16.1-trunk-patches
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- Merge "Fix functional test failure after cd69723" into rhos-16.1-trunk-patches
- Merge "ovn: Don't fail db-sync if port binding changes" into rhos-16.1-trunk-patches
- Merge "Sync db_migration with upstream" into rhos-16.1-trunk-patches
- Merge "ovn: Don't use dict.remove() for filtering dhcp ports in db-sync" into rhos-16.1-trunk-patches
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Merge "Ensure that load balancer is added to logical switch" into rhos-16.1-trunk-patches
- Merge "Check if no members in pool better in batch update" into rhos-16.1-trunk-patches
- Merge "Catch subnet not found exceptions better" into rhos-16.1-trunk-patches
- Merge "Fix leaked file descriptors by cleaning up objects" into rhos-16.1-trunk-patches
- Merge "Fix metadata driver unit test failure" into rhos-16.1-trunk-patches
- Merge "Retry status updates to Octavia" into rhos-16.1-trunk-patches

* Mon May 02 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220502142031.4e24f4c
- Retry port_update in the OVN if revision mismatch during live-migration (rhbz#2068065)
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Apr 22 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220422083617.4e24f4c
- [OVN] External network ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1951170)
- [OVN][migration] Clean sg- and fg- interfaces (rhbz#2054652)
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Apr 20 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220420161940.4e24f4c
- Avoid loadbalancer stuck in PENDING_X if delete_vip_port fails (rhbz#2067070)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Apr 12 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220412183743.4e24f4c
- ovn migration: Don't use executables in /tmp/ (rhbz#2064906)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Apr 01 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220401142851.4e24f4c
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Apr 01 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220401091836.4e24f4c
- Fix deletion of members without subnet_id (rhbz#2069580)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Mar 28 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220328153604.4e24f4c
- Retry logical switch associations to load balancers (rhbz#2057424)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Mar 28 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220328103519.4e24f4c
- [ OVN ][Migration] Reload systemctl daemon after removal (rhbz#2058415)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Mar 22 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220322153737.4e24f4c
- [OVN] Do not fail when processing SG rule deletion (rhbz#2063177)
- [ovn] Use normalized remote prefix IPs in OVN driver (rhbz#2063177)
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Mar 18 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220318083822.4e24f4c
- Ensure no GARPs are sent for Load Balancer VIPs on tenant networks (rhbz#2064709)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Mar 08 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220308163621.4e24f4c
- Check subnet in "_remove_subnet_dhcp_options" (rhbz#2015619 rhbz#2015620)
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Mar 04 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220304143755.4e24f4c
- Avoid race when trying to find a recently created loadbalancer (rhbz#2059534)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Mar 03 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220303083747.4e24f4c
- Return UnsupportedOptionError() on loadbalancer failover (rhbz#1871943)
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Mar 01 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220301083422.4e24f4c
- Allow to create ovn loadbalancer on dual-stack provider networks (rhbz#2056569)
- Check gateway IP while looking for LR plugged to LS (rhbz#2056569)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220224203614.4e24f4c
- Use TCP keepalives for ovsdb connections (rhbz#1965954)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Feb 24 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220224093806.4e24f4c
- Add support for fullypopulated load balancers (rhbz#2055629)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Feb 23 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220223093756.4e24f4c
- Fix race condition retrieving logical router rows (rhbz#2006847)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Feb 22 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220222114301.4e24f4c
- Support creating members without a subnet ID (rhbz#1934760)
- Use Port_Binding up column to set Neutron port status (rhbz#1958985)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220212033901.4e24f4c
- [ovn] Prevent stale ports in the OVN database (rhbz#2053026)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Feb 11 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220211182128.4e24f4c
- [OVN] Check if exists trunk ports before cleanup (rhbz#2044341)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Feb 03 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220203113359.4e24f4c
- Missing bit: use the schema name when creating the IDL (rhbz#2045082)
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Jan 28 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220128163334.4e24f4c
- Define statically the schema helper name in "_set_inactivity_probe" (rhbz#2045082)
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Jan 28 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220128133726.4e24f4c
- [OVN] Prevent OVS to OVN migration if firewall "iptables_hybrid" (rhbz#2022040)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Jan 27 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220127153446.4e24f4c
- [OVN] Prevent deleting the only IP of a router port (rhbz#1948459)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Jan 26 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220126223732.4e24f4c
- ovn-migration: Delete FIP agent gateway ports (rhbz#1943626)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220125210409.4e24f4c
- Fix neutron_pg_drop-related startup issues (rhbz#1947790)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Jan 25 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220125153332.4e24f4c
- Set listeners back to ACTIVE upon pool/member action failures (rhbz#2019980)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220113183500.4e24f4c
- Always update router static route (rhbz#2039653)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Jan 13 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220113103413.4e24f4c
- [OVN] Allow only one physical network per bridge (rhbz#1993681)
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Mon Jan 10 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220110113349.4e24f4c
- [OVN] MetadataProxyHandler to conditionally monitor both Chassis's tables (rhbz#1946262)
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Jan 06 2022 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20220106173350.4e24f4c
- [OVN] Update check_for_mcast_flood_reports() to check for mcast_flood (rhbz#2015920)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Dec 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211224103345.4e24f4c
- [OVN] Set NB/SB "connection" inactivity probe (rhbz#1979231)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Nov 25 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211125153341.4e24f4c
- Fix "_sync_metadata_ports" with no DHCP subnets (rhbz#2007689)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211116153353.4e24f4c
- [OVN Migration] Remove qr and dhcp ports from the nodes (rhbz#2011450)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Nov 16 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211116143404.4e24f4c
- [OVN Migration] Remove trunk's subports from the nodes (rhbz#2011450)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Fri Nov 12 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211112134207.4e24f4c
- [OVN] Execute OVN migration transactions independently (rhbz#1993080)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Tue Nov 09 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211109103502.4e24f4c
- Fix OVN migration workload creation order (rhbz#2017524)
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Oct 21 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211021113440.4e24f4c
- [OVN] Update the DHCP options when the metadata port is modified (rhbz#1994591 rhbz#2010243)
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Thu Oct 07 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211007065348.4e24f4c
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)

* Wed Oct 06 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20211006143815.4e24f4c
- Execute "migrate_neutron_database_to_ovn" inside the same DB ctx (rhbz#1993080)
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Thu Sep 30 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210930103309.4e24f4c
- Replace cirros 0.4.0 by 0.5.2 in ovn migration create-resources.sh.j2 (rhbz#2008425)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Sep 27 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210927063309.4e24f4c
- Fix functional test failure after cd69723 (rhbz#1962178)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Thu Sep 23 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210923183320.4e24f4c
- Fix "Make ovn metadata agent report optional" (rhbz#1989932)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Sep 22 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210922093306.4e24f4c
- Fix db migration UTs (rhbz#2005799)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Tue Sep 14 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210914143306.4e24f4c
- ovn: Don't fail db-sync if port binding changes (rhbz#1993080)
- Sync db_migration with upstream (rhbz#1993080)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Sep 01 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210901163308.4e24f4c
- ovn: Consider all router ports in is_lsp_router_port() (rhbz#1987249)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Aug 11 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210811103334.4e24f4c
- Rely on worker count for HashRing caching (rhbz#1948596)
- [OVN] Simplify connection creation logic (rhbz#1948596)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Aug 09 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210809163307.4e24f4c
- Reset "AgentCache" singleton in functional tests (rhbz#1788336)
- Don't update AgentCache when Chassis_Private.chassis == [] (rhbz#1788336)
- Convert OvnDbNotifyHandler rows to frozen rows (rhbz#1788336)
- Add support for deleting ml2/ovn agents (rhbz#1788336)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Jul 14 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210714143305.4e24f4c
- ovn: Make ovn metadata agent report optional (rhbz#1962178)
- [ovn][metadata] Remove metadata readiness mechanism (rhbz#1962178)
- Fix db_migration UTs
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Tue Jul 13 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210713093309.4e24f4c
- ovn-migration: Introduce migrate mode to DB sync tool (rhbz#1943605)
- ovn-migration: Use DHCP nodes to configure dnsmasq (rhbz#1934736)
- ovn: Don't use dict.remove() for filtering dhcp ports in db-sync (rhbz#1956060)
- ovn-migration: UNDERCLOUD_NODE_USER variable (rhbz#1948473)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Jun 30 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210630133311.4e24f4c
- [OVN] Disable mcast_flood on localnet ports (rhbz#1949454)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Jun 25 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210625133307.4e24f4c
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Jun 25 2021 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20210624183315
- Merge "Ensure that load balancer is added to logical switch" into rhos-16.1-trunk-patches

* Thu Jun 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210624183314.4e24f4c
- Check if no members in pool better in batch update (rhbz#1969659)
- Catch subnet not found exceptions better (rhbz#1969659)
- Fix leaked file descriptors by cleaning up objects (rhbz#1969659)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Jun 16 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210616073302.4e24f4c
- Fix metadata driver unit test failure (rhbz#1970596)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Tue Jun 15 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210615113303.4e24f4c
- Set trunk sub-port when bind profile is created (rhbz#1937851)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Jun 14 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210614213306.4e24f4c
- Retry status updates to Octavia (rhbz#1969659)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Thu Jun 10 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210610093305.4e24f4c
- [OVN] Fix: Disabling snat after it was enabled (rhbz#1962051)

* Fri May 28 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210528051852.4e24f4c
- Update patches

* Thu May 27 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210527124306.4e24f4c
- Check for lock in check_for_mcast_flood_reports (rhbz#1956074)
- Simplify OVN Agent API implementation (rhbz#1788336)
- Rate limit of metadata requests (rhbz#1952645)
- Don't ever give up trying to connect to OVN DBs (rhbz#1955271)
- Avoid race condition when processing RowEvents (rhbz#1788336)
- Only account for bound ports in metadata agent (rhbz#1952528)
- Fix FDB table not registered in OvnSbIdl (rhbz#1898198)
- Remove unwanted IP addresses from OVN ports (rhbz#1898198)
- Switch to new engine facade in OVN trunk driver module (rhbz#1937851)
- Make delete_router_port() less error prone (rhbz#1940724)
- Bump importlib-metadata to 3.10.0 (rhbz#1945273)
- Set mcast_flood_reports on LSPs (rhbz#1933734)
- External ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1936527)
- Set send_periodic to False on provider networks (rhbz#1939468)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- Retrieve port network QoS policy from network dictionary (rhbz#1934096)
- Fix functional tests (rhbz#1940516 rhbz#1931581)
- Revert "migration: Restart OVS after setting protocols" (rhbz#1941529)
- Retrieve the bound FIP in QoS extension (rhbz#1931581)
- Remove OVN QoS rule when FIP is dissasociated (rhbz#1930942)
- add_fake_chassis() may need to create a Chassis_Private (rhbz#1934833)
- ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- QoS for distributed floating IP (rhbz#1928231)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)
- "qos-fip" extension in ML2_SUPPORTED_API_EXTENSIONS_OVN_L3 (rhbz#1926191)
- Metadata agent: fix checking datapath type (rhbz#1897103)
- Remove upstream constraints from tox (downstream only) (rhbz#1908411)
- ovn: Support live migration to DPDK nodes (rhbz#1886244)
- Fix get/update/delete of non-OVN agents (rhbz#1828889)
- Fix inconsistent IGMP configuration (rhbz#1898052)
- Ensure metadata checksum (rhbz#1897103)
- Ensure ovsdb_probe_interval set before connect() (rhbz#1895802)
- Implement floating IP QoS in OVN backend (rhbz#1859274)
- Fix typo in TestOvnDbNotifyHandler (rhbz#1903083)
- Change reference to OvnDbNotifyHandler._watched_events (rhbz#1903083)
- Fix test_add_interface_in_use negative test
- Fix broken unit tests related to ovsdbapp indexing (rhbz#1899898)
- Add support for vlan transparency in the OVN driver (rhbz#1846019)
- Fix the check for allowed_cidrs in listeners
- update_port should not remove values from external_ids (rhbz#1879389)
- ovn migration: Fix neutron server container name (rhbz#1877756)

* Sun May 23 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210523155322.4e24f4c
- Update patches

* Tue May 18 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210518143301.4e24f4c
- [OVN] Check for lock in check_for_mcast_flood_reports (rhbz#1956074)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed May 05 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210505193258.4e24f4c
- Simplify OVN Agent API implementation (rhbz#1788336)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon May 03 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210503143301.4e24f4c
- Avoid race condition when processing RowEvents (rhbz#1788336)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210501003303.4e24f4c
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 30 2021 Terry Wilson <twilson@redhat.com> 7.3.1-1.20210430173305
- Rate limit of metadata requests (rhbz#1952645)

* Fri Apr 30 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210430173304.4e24f4c
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 30 2021 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20210428163718
- Don't ever give up trying to connect to OVN DBs (rhbz#1955271)

* Wed Apr 28 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210428163717.4e24f4c
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Apr 28 2021 Jakub Libosvar <libosvar@redhat.com> 7.3.1-1.20210422143235
- [OVN] Only account for bound ports in metadata agent (rhbz#1952528)

* Thu Apr 22 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-1.20210422143234.4e24f4c
- [OVN] Fix FDB table not registered in OvnSbIdl (rhbz#1898198)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Apr 21 2021 OSP Prod Chain <dev-null@redhat.com> 7.3.1-.20210421093227.4e24f4c
- Switch to new engine facade in OVN trunk driver module (rhbz#1937851)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Thu Apr 15 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [ovn]: Remove unwanted IP addresses from OVN ports (rhbz#1898198)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Apr 12 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] Make delete_router_port() less error prone (rhbz#1940724)
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 09 2021 Slawek Kaplonski <skaplons@redhat.com> 7.3.1-1.20210409093429
- Disable dns-integration API extension if it's not enabled in ML2 (rhbz#1893668)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 09 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Fri Apr 09 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20210407103433
- Bump importlib-metadata to 3.10.0 (rhbz#1945273)
- Merge "Retrieve port network QoS policy from network dictionary" into rhos-16.1-trunk-patches
- Merge "Fix functional tests" into rhos-16.1-trunk-patches
- Merge "[OVN][QoS] Remove OVN QoS rule when FIP is dissasociated" into rhos-16.1-trunk-patches
- Merge "[OVN] ovn-metadata-agent: Retry registering Chassis at startup" into rhos-16.1-trunk-patches
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Merge "Change how ovn mech driver checks if vlan transparency is supported" into rhos-16.1-trunk-patches
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Wed Apr 07 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] Set mcast_flood_reports on LSPs (rhbz#1933734)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Tue Apr 06 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20210406084623
- [OVN] External ports (SR-IOV) QoS is handled by SR-IOV agent (rhbz#1936527)
- Merge "Retrieve port network QoS policy from network dictionary" into rhos-16.1-trunk-patches
- Merge "Fix functional tests" into rhos-16.1-trunk-patches
- Merge "[OVN][QoS] Remove OVN QoS rule when FIP is dissasociated" into rhos-16.1-trunk-patches
- Merge "[OVN] ovn-metadata-agent: Retry registering Chassis at startup" into rhos-16.1-trunk-patches
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Merge "Change how ovn mech driver checks if vlan transparency is supported" into rhos-16.1-trunk-patches
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Tue Apr 06 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Apr 05 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20210329203525
- Merge "Retrieve port network QoS policy from network dictionary" into rhos-16.1-trunk-patches
- Retrieve port network QoS policy from network dictionary (rhbz#1934096)
- Merge "Fix functional tests" into rhos-16.1-trunk-patches
- Merge "[OVN][QoS] Remove OVN QoS rule when FIP is dissasociated" into rhos-16.1-trunk-patches
- Merge "[OVN] ovn-metadata-agent: Retry registering Chassis at startup" into rhos-16.1-trunk-patches
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Merge "Change how ovn mech driver checks if vlan transparency is supported" into rhos-16.1-trunk-patches
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Mon Mar 29 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Mar 29 2021 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20210324163508
- [OVN] Set send_periodic to False on provider networks (rhbz#1939468)

* Wed Mar 24 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Fix functional tests (rhbz#1940516 rhbz#1931581)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Mar 22 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Revert "migration: Restart OVS after setting protocols" (rhbz#1941529)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Mar 10 2021 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Mon Mar 08 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024057
- Merge "[OVN][QoS] Remove OVN QoS rule when FIP is dissasociated" into rhos-16.1-trunk-patches
- [QoS] Retrieve the bound FIP in QoS extension (rhbz#1931581)
- [OVN][QoS] Remove OVN QoS rule when FIP is dissasociated (rhbz#1930942)
- Merge "[OVN] ovn-metadata-agent: Retry registering Chassis at startup" into rhos-16.1-trunk-patches
- Merge "Change how ovn mech driver checks if vlan transparency is supported" into rhos-16.1-trunk-patches
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Thu Mar 04 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024056
- Merge "[OVN] ovn-metadata-agent: Retry registering Chassis at startup" into rhos-16.1-trunk-patches
- add_fake_chassis() may need to create a Chassis_Private (rhbz#1934833)
- [OVN] ovn-metadata-agent: Retry registering Chassis at startup (rhbz#1934833)
- Merge "Change how ovn mech driver checks if vlan transparency is supported" into rhos-16.1-trunk-patches
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Thu Feb 18 2021 Slawek Kaplonski <skaplons@redhat.com> 7.3.1-1.20201114024055
- Change how ovn mech driver checks if vlan transparency is supported (rhbz#1907779)

* Wed Feb 17 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024054
- [OVN][QOS] QoS for distributed floating IP (rhbz#1928231)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Wed Feb 10 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024053
- "qos-fip" extension in ML2_SUPPORTED_API_EXTENSIONS_OVN_L3 (rhbz#1926191)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Thu Jan 28 2021 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024052
- [ovn] Metadata agent: fix checking datapath type (rhbz#1897103)
- Merge "Remove upstream constraints from tox (downstream only)" into rhos-16.1-trunk-patches
- Remove upstream constraints from tox (downstream only) (rhbz#1908411)
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Mon Jan 18 2021 Jakub Libosvar <libosvar@redhat.com> 7.3.1-1.20201114024051
- ovn: Support live migration to DPDK nodes (rhbz#1886244)
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Thu Jan 07 2021 Terry Wilson <twilson@redhat.com> 7.3.1-1.20201114024050
- Fix get/update/delete of non-OVN agents (rhbz#1828889)
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Fri Dec 18 2020 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20201114024049
- [OVN] Fix inconsistent IGMP configuration (rhbz#1898052)

* Mon Dec 14 2020 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024048
- [OVN] Ensure metadata checksum (rhbz#1897103)
- Merge "[OVN] Implement floating IP QoS in OVN backend" into rhos-16.1-trunk-patches
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Fri Dec 11 2020 Jakub Libosvar <libosvar@redhat.com> 7.3.1-1.20201114024047
- [OVN] Implement floating IP QoS in OVN backend (rhbz#1859274)

* Wed Dec 09 2020 Terry Wilson <twilson@redhat.com> 7.3.1-1.20201114024046
- Ensure ovsdb_probe_interval set before connect() (rhbz#1895802)
- Fix typo in TestOvnDbNotifyHandler (rhbz#1903083)
- Merge "Change reference to OvnDbNotifyHandler._watched_events" into rhos-16.1-trunk-patches
- Change reference to OvnDbNotifyHandler._watched_events (rhbz#1903083)
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Tue Dec 01 2020 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20201114024045
- [OVN] Fix test_add_interface_in_use negative test
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches

* Wed Nov 25 2020 Rodolfo Alonso Hernandez <ralonsoh@redhat.com> 7.3.1-1.20201114024044
- Merge "Fix broken unit tests related to ovsdbapp indexing" into rhos-16.1-trunk-patches
- Fix broken unit tests related to ovsdbapp indexing (rhbz#1899898)

* Thu Nov 19 2020 Slawek Kaplonski <skaplons@redhat.com> 7.3.1-1.20201114024043
- Add support for vlan transparency in the OVN driver (rhbz#1846019)

* Fri Nov 13 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Fix the check for allowed_cidrs in listeners

* Mon Oct 12 2020 Flavio Fernandes <flaviof@redhat.com> 7.3.1-1.20200902233413
- [OVN] update_port should not remove values from external_ids (rhbz#1879389)
- ovn migration: Fix neutron server container name (rhbz#1877756)

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Use the Chassis_Private table for agents healthcheck

* Wed Sep 02 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Clean up some of the OVN agent API methods
- [OVN] OVN driver to adapt to enable_distributed_floating_ip changes

* Tue Sep 01 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [ovn]: gracefully handle logical switch ports with tag set to None

* Mon Aug 17 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Fix member_batch_update function to follow api v2

* Fri Aug 14 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- migration: Restart OVS after setting protocols

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Use "replace" to remove a section of a string

* Fri Aug 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- ovn migration: Support stack name

* Tue Aug 04 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Allow IP allocation with different segments for OVN service ports - tests
- [OVN] Extra DHCP options validation: Log invalid options

* Mon Jul 27 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Enable qos service plugin in tempest jobs

* Sat Jul 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Fix logic issue while deleting port with QoS

* Fri Jul 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- ovn-migration: Remove docker references

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- migration: Use ansible-inventory to parse tripleo inventory
- [OVN] HA Chassis Group: Ignore UPDATES when external_ids hasn't changed

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- ovn: Remove is_port_groups_supported() code

* Thu Jul 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Add support for router availability zones

* Wed Jul 15 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Fix pep8 job

* Thu Jul 02 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Set class ovsdb_conection to None

* Mon Jun 29 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Load segments plugin in case not loaded in maintanance task

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Remove pycodestyle from the dependency

* Fri Jun 26 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Enhance port's extra DHCP options support

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Avoid unnecessary DB writes during agent liveness check

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Enable neutron-tempest-plugin installation in tempest venv

* Thu Jun 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [OVN] Create localnet port for each created segment

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Use "datetime.datetime.isoformat" instead of "timeutils.isotime"

* Wed Jun 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Fix functional jobs by installing missing dependencies

* Mon Jun 15 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Fix ssh to nodes during ML2/OVS to ML2/OVN migration

* Fri Jun 12 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- [ovn] devstack needs to support openflow15

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- ovn-migration: Stop ml2/ovs agents before installing OVN resources

* Thu Jun 11 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches
- Do not send status update in case of IpAddressAlreadyAllocated
- [OVN] Don't set virtual port type on ports with similar addresses
- Correctly initialize HashRingIsEmpty class

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Fix ssh to nodes during ML2/OVS to ML2/OVN migration (rhbz#1845886)

* Wed Jun 10 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches

* Wed Jun 10 2020 Maciej Józefczyk <mjozefcz@redhat.com> 7.2.1-0.20200605175457.4dfc438
- [OVN] Don't set virtual port type on ports with similar addresses

* Fri Jun 05 2020 OSP Prod Chain <dev-null@redhat.com> 7.2.0-1
- Update patches

* Wed Jun 03 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN]: Make _delete_port() more error-resilent

* Fri May 29 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Add support for OVN LB selection fields

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- test_router: Verify the creation and removal of a lrp

* Tue May 26 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- ovn: Override clean_hash_ring for sync util

* Mon May 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN][metadata] Adding ERROR trace upon unexpected data

* Sun May 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Refactor OVN client QoS extension

* Thu May 21 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Fix ovn-db-sync-util after removing l3 ovsdb connection

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Added OSP 16.1 to plugin spec

* Tue May 19 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Revert "Use tempest version 23.0.0 for stable/train python2 job"

* Mon May 18 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- OVNMechanismDriver calls to OVNClient should match function signatures

* Thu May 14 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Cap pycodestyle to be < 2.6.0

* Mon May 11 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- migration: Replace paunch with podman and ip commands

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [ovn] Add PortBinding delete event for external ports

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Remove the release note job

* Thu May 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] OVN DB schema update aware maintenance tasks

* Tue May 05 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] Do not delete port's revision on RowNotFound

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] External ports: Account for VNIC_DIRECT_PHYSICAL / VNIC_MACVTAP

* Wed Apr 22 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Use OVN mech driver OVSDB connections for l3 plugin

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- mech_driver.OVNMechanismDriver "_ovn_client" is a read-only property

* Tue Apr 21 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Work around potential double row.delete() call

* Thu Apr 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Don't reschedule hosts unless we need to

* Wed Apr 15 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [ovn] Stricter matching on metadata port binding event

* Mon Apr 13 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Ensure we don't pass empty addresses to lsp_set_addresses
- [metadata agent] Account for 'external' ports
- [OVN] Add support for external ports
- Change way of retrieving LSP in virtual_port functional tests

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Mark TestVirtualPorts tests as unstable

* Wed Apr 08 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] Add IGMP snooping support

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] Reduce the number of watched tables in MetadataProxyHandler

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Align PEP8/Pylint rules with the Neutron project

* Fri Apr 03 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Use tempest version 23.0.0 for stable/train python2 job

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Fix Exception string arguments

* Tue Mar 31 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Do not try to refresh vips on OVN LB that will be deleted

* Mon Mar 30 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Wrap IPv6 address with brackets

* Thu Mar 26 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Use rally-openstack 1.7.0 for stable/train
- Clear lsp.addresses always if port is OVN LB VIP port.

* Sun Mar 22 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Switch release jobs to OVN 20.03 (v20.03.0 tag)

* Mon Mar 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] DevStack: Split the OVN_BRANCH and OVS_BRANCH variables

* Fri Mar 13 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- OVN Metadata agent gets OVSDB updates for only its Chassis

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [OVN] Add an interval between agents health checks

* Thu Mar 12 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Add config option 'ovsdb_retry_max_interval'

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Make networking-ovn-octavia-v2-dsvm-scenario non-voting

* Wed Mar 11 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches

* Tue Feb 25 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- [migration] Create Mac_Bindings before testing FIP

* Mon Feb 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Fix cirros image download during resources creation for migration
- [OVN] Remove VLAN check when setting external_mac

* Wed Feb 19 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches
- Support QoS by meter action
- Bump-up os-log-merger to latest version

* Tue Feb 18 2020 OSP Prod Chain <dev-null@redhat.com> 7.1.0-1
- Update patches

* Mon Feb 10 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Fix for getting port groups while using OVS up to 2.9

* Tue Feb 04 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Centralize traffic when LB and member has FIP

* Mon Feb 03 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Fix for getting port groups while using OVS up to 2.9

* Mon Feb 03 2020 Maciej Józefczyk <mjozefcz@redhat.com> 7.1.0-0.20200129045656.844540e
- Centralize traffic when LB and member has FIP (rhbz#1719291)

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Agent liveness - allow time to propagate checks" into stable/train
- Agent liveness - allow time to propagate checks

* Tue Jan 28 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "[OVN] Delete NAT entry first on any FIP update" into stable/train
- [OVN] Delete NAT entry first on any FIP update

* Mon Jan 27 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches

* Mon Jan 27 2020 Jakub Libosvar <libosvar@redhat.com> 7.1.0-0.20200124055736.75fe49a
- Agent liveness - allow time to propagate checks (rhbz#1793440)

* Fri Jan 24 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Don't fail if VIP already exist or has been deleted before" into stable/train
- Merge "Use 'container image prepare' in prepare-migration" into stable/train
- Don't fail if VIP already exist or has been deleted before
- Use 'container image prepare' in prepare-migration

* Thu Jan 23 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Don't send malformed status update to Octavia" into stable/train
- Don't send malformed status update to Octavia

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Fix py2 vs py3 dict keys comparison in functional test" into stable/train
- Fix py2 vs py3 dict keys comparison in functional test

* Wed Jan 22 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Exclude all device_ids that belong to Neutron DHCP Agent

* Fri Jan 17 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Cache OvnProviderHelper object in OvnProviderDriver" into stable/train
- Cache OvnProviderHelper object in OvnProviderDriver

* Thu Jan 16 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Don't fail in case subnet or Logical Switch not found" into stable/train
- Merge "Fix container images names in migration plugin" into stable/train
- Don't fail in case subnet or Logical Switch not found
- Fix container images names in migration plugin

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Add support for virtual port type" into stable/train
- Add support for virtual port type

* Wed Jan 15 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Add support for multiple L4 protocols withing same LB" into stable/train
- Merge "Enable InternalDNS related tests" into stable/train
- Merge "Change passed domain_name parameter value" into stable/train
- Add support for multiple L4 protocols withing same LB
- Enable InternalDNS related tests
- Change passed domain_name parameter value

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Set binding profile directly from OVNTrunkDriver (redo cont.)" into stable/train
- Set binding profile directly from OVNTrunkDriver (redo cont.)

* Tue Jan 14 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Add OVN Octavia CI jobs

* Tue Jan 07 2020 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "migration: Use ForceNeutronDriverUpdate when migrating" into stable/train
- Update master for stable/train
- migration: Use ForceNeutronDriverUpdate when migrating

* Fri Dec 20 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Only set "unknown" in LSP that makes sense

* Thu Dec 19 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Fix pep8 errors found by hacking 2.0.0

* Fri Dec 13 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- tox: Pass OVN and OVS source directories

* Mon Dec 09 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Switch release jobs to use OVS 2.12 in Train" into stable/train
- Switch release jobs to use OVS 2.12 in Train

* Fri Dec 06 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Update local.conf.sample to match stable/train" into stable/train
- Update local.conf.sample to match stable/train

* Thu Dec 05 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Fallback to default network_driver value if octavia not present" into stable/train
- Fallback to default network_driver value if octavia not present

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Fix agent extension support after hashring merge" into stable/train
- Fix agent extension support after hashring merge

* Wed Dec 04 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Added OSP16 & train to plugin spec." into stable/train
- Added OSP16 & train to plugin spec.

* Tue Dec 03 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Initialize TLS prior to retrieving OVSDB schema" into stable/train
- Initialize TLS prior to retrieving OVSDB schema

* Wed Nov 27 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Remove escape characters from container command

* Mon Nov 18 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "[metadata-agent] Fix issue with TLS/SSL connections" into stable/train
- [metadata-agent] Fix issue with TLS/SSL connections
- Add missing unittests to OVN provider driver

* Tue Nov 12 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Revert "Temporary jobs list change for stable/train"" into stable/train
- Revert "Temporary jobs list change for stable/train"

* Fri Oct 18 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches
- Merge "Disable ip_version checking while updating member without new ip" into stable/train
- Disable ip_version checking while updating member without new ip

* Thu Oct 17 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-1
- Update patches

* Wed Oct 16 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.2.0rc2
- Update patches
- Merge "Avoid port group creation race" into stable/train
- Avoid port group creation race

* Tue Oct 15 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.2.0rc2
- Update patches
- Do not lose router logical port upon subnet add on the external net

* Mon Oct 14 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.2.0rc2
- Update patches
- Set binding profile directly from OVNTrunkDriver (redo)

* Tue Oct 08 2019 OSP Prod Chain <dev-null@redhat.com> 7.0.0-0.1.0rc1
- Update patches

* Fri Oct 04 2019 OSP Prod Chain <dev-null@redhat.com> XXX-XXX
- Update patches


